### Home Classes Methods

### In Files

- lib/yajl/bzip2/stream_writer.rb

### Parent

Bzip2::Writer

### Methods

- ::encode

### Class/Module Index

Quicksearch

- Yajl
- Yajl::Bzip2
- Yajl::Bzip2::StreamReader
- Yajl::Bzip2::StreamWriter
- Yajl::Deflate
- Yajl::Deflate::StreamReader
- Yajl::Deflate::StreamWriter
- Yajl::Encoder
- Yajl::Gzip
- Yajl::Gzip::StreamReader
- Yajl::Gzip::StreamWriter
- Yajl::HttpStream
- Yajl::HttpStream::HttpError
- Yajl::HttpStream::InvalidContentType
- Yajl::Parser
- JSON
- JSON::GeneratorError
- JSON::JSONError
- JSON::ParserError
- Kernel
- Object

No matching classes.

# Yajl::Bzip2::StreamWriter

A wrapper around the Bzip2::Writer class for easier JSON stream encoding

### Public Class Methods

encode(obj, io) click to toggle source

A helper method for encoding to a bzip2-compressed stream

Look up Yajl::Encoder#encode for parameter documentation

    # File lib/yajl/bzip2/stream_writer.rb, line 9
    def self.encode(obj, io)
      Yajl::Encoder.new.encode(obj, new(io))
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.